/* these are the main colors and bg images
   replace them with anything you want! */
:root {
    /*--header-bg: url('images/header.png');*/
    /*--site-bg: url("images/flowertile.png");*/
    --site-bg: 
    linear-gradient(rgba(255,222,241,0.5), rgba(255,222,241,0.5)), url('https://i.imgur.com/A6xdkX0.jpg');
    --accent-color: #f2b5d4;
    --select-color: #ffc1e9;
    --link-color: #5083C1;
    --bg-color: #ffffff5e;
    --bg-color2: white;
    --text-color: #322233;
    --border-color: #733c68;
    /*--gradient-bg: linear-gradient(0deg, #CADCFF00 0%, #fff 100%);*/
    --post-header-color:#5083C1;
    --post-shadow-color: #21569760;
    --outline-color: #6EAAD6;
    --outline-color2: #CEEAFF;
}

#image {
   display: flex;
    justify-content: center; /* Centrado horizontal */
    align-items: center; 
  width: 100%;
border-radius: 10px;
overflow: hidden;
border: 2px solid #5083C1;

}

.flowers {
    width: 100%;
    height: auto;
    object-fit: contain;
}


#chat{
   background: var(--bg-color);
    border: 2px solid white;
    border-radius: 0.5em;
    box-shadow: var(--post-shadow-color) 5px 5px;
    line-height: 1.5rem;
    margin-bottom: 4em;
}

#topborder{
background-image: url('https://i.imgur.com/0vWS1mg.png');
background-repeat: repeat-x;
height: 73px;
width: 100vw;
position: fixed;
top: 0px;
z-index: 3;
}
 
#bottomborder{
background-image: url('https://i.imgur.com/lv5pt9F.png');
background-repeat: repeat-x;
height: 73px;
width: 100vw;
position: fixed;
bottom: 0px;
z-index: 3;
}

#navbow{
background-image: url('https://i.imgur.com/2IzDDAz.png');
background-size: 100%;
background-repeat: no-repeat;
width: 65px;
height: 41px;
margin:0 auto;
margin-bottom: 1em;
z-index: 4;
}


/* you can get hex codes from sites like this:
   https://palettes.shecodes.io/
   i just looked up "css color templates" to find that link! */

/* this applies to all the content */
* {
    box-sizing: border-box;
/* change the font here, it's set up to all use the same one */
    font-family: "Nunito", sans-serif;
}
/* this is for when you select text on the page */
::selection {
    background: var(--select-color);
    color: var(--border-color);
}

body {
    background-color: var(--bg-color);
    background-image: var(--site-bg);
    margin: 0;
/*this is the default font size! headings and stuff are adjusted based on this number.*/
    font-size: 14px;
/*and the default text color! it's dark grey here.*/
    color: var(--text-color);
}
/* i think having better line spacing helps text to be more readable, but you can remove it if you want */
p {line-height: 1.5em;}

h1 {
    font-size: 2.5em;
   font-family: "Patrick Hand SC", cursive;
    color: var(--post-header-color);
    
  
}
h4,
h5,
h6 {color: var(--border-color);}

h4 {
  font-family: "Patrick Hand SC", cursive;
  font-style: bold;
  font-size: 24px;
  line-height: 20px;
  margin: 0.5em auto;
}

h5 {
  font-style: bold;
  font-size: 16px;
  font-size: 16px;
  line-height: none;
  background-color: white;
  padding: 0.5em 0.5em 0.5em 1em;
  color:  var(--post-header-color);
  border-bottom: 1px solid #5083C1;
  margin: auto;
}

header {
    background-color: var(--accent-color);
/* you can add the image url in :root (at the top) if you want */
    background: var(--header-bg);
    background-size: 100%;
    background-position: center;
/* change the minimum height if you want it to take up more/less space */
   min-height: 100px;
/*this centers it*/
    margin:auto;
/*i gave it some borders, you can change the colors or remove them, but having the borders there keeps it glued to the top of the page all nice, so i recommend keeping them!*/
   /* border-top: 12px solid var(--bg-color2);
    /*border-bottom: 12px solid var(--bg-color2);
/*to align the header block to the bottom, uncomment the line below*/
    align-content: center;
    margin-bottom: 1em;
    
    
}

/* this is your site title displayed at the top of the page */
header > h1 {
    color: var(--post-header-color);
    font-family: "Patrick Hand SC", cursive;
    margin: auto;
    margin-top: 2em;
    font-size: 4em;
/*normal headers have a filter, so we gotta turn it off for this special heading*/
  filter: drop-shadow(3px 3px 0.5px rgba(255,255,255));
/* you can change the text-align to center or right if you want it placed differently */
    text-align: center;
     align-content: center;
}

/*this is for lists*/
li {
/*you can change the normal dot to anything you want :)*/
   /* list-style-type: "💙 "
/*i used a flower since i already drew it for another page haha*/
   list-style-image: url("images/flower.png");
   line-height: 1.5rem;
   margin-right: 1em;
}

nav {
  padding: 2em;
  top:15px;
  right: 0;
  left:0;
  align-content: center;
  text-align: center;
  position: fixed;
  z-index: 4;
 filter: drop-shadow(3px 3px 0px rgba(112,54,87,0.2));
 
}

nav > a {
     border-radius: 2em;
     font-size: 16px;
    font-weight: bold;
    background-color: white;
    padding: 0.5em 1em;
/* this takes away the link underline */
    text-decoration: none;
}
nav> a:visited {color: var(--link-color);}
nav > a:hover {
    color: var(--accent-color);
    background-color: var(--select-color);
}
    
a {
   
    color: var(--link-color);
    transition: .2s ease-out;
    text-decoration: none;
  font-weight: bold;
}
a:visited {
    color: var(--text-color);
}
a:hover {
    color: var(--accent-color);
    border-color: var(--accent-color);
    transition: .2s ease;
}

#sidebar {
    /*background-color: var(--bg-color2);*/
    color: var(--border-color);
    height: fit-content;
    max-width: 330px;
    min-width: 220px;
    margin-top: 1em;
    margin-right: 4em;
    margin-left: 2em;
    border-radius: .5em;
}

.small-box {
    background: var(--bg-color);
    margin-bottom: 20px;
    border: 2px solid white;
    border-radius: 0.5em;
    box-shadow: var(--post-shadow-color) 5px 5px;
    width: 100% ;

}

#avatar {
    margin: .5em;
/*this line will limit the image size if you decide not to use the flower shape below*/
    max-width: 320px;
    border: 2px white;
    filter: drop-shadow(3px 3px 0px rgba(112,54,87,0.3));
}
/*flower shape generated from here: https://css-generators.com/flower-shapes/ */
.flower {
    width: 320px; /* adjust to control the size */
  aspect-ratio: 1;
   --g:/5.908% 5.908% radial-gradient(#000 calc(71% - 1px),#0000 71%) no-repeat;
  mask: 100% 50% var(--g),99.606% 56.267% var(--g),98.429% 62.434% var(--g),96.489% 68.406% var(--g),93.815% 74.088% var(--g),90.451% 79.389% var(--g),86.448% 84.227% var(--g),81.871% 88.526% var(--g),76.791% 92.216% var(--g),71.289% 95.241% var(--g),65.451% 97.553% var(--g),59.369% 99.114% var(--g),53.14% 99.901% var(--g),46.86% 99.901% var(--g),40.631% 99.114% var(--g),34.549% 97.553% var(--g),28.711% 95.241% var(--g),23.209% 92.216% var(--g),18.129% 88.526% var(--g),13.552% 84.227% var(--g),9.549% 79.389% var(--g),6.185% 74.088% var(--g),3.511% 68.406% var(--g),1.571% 62.434% var(--g),0.394% 56.267% var(--g),0% 50% var(--g),0.394% 43.733% var(--g),1.571% 37.566% var(--g),3.511% 31.594% var(--g),6.185% 25.912% var(--g),9.549% 20.611% var(--g),13.552% 15.773% var(--g),18.129% 11.474% var(--g),23.209% 7.784% var(--g),28.711% 4.759% var(--g),34.549% 2.447% var(--g),40.631% 0.886% var(--g),46.86% 0.099% var(--g),53.14% 0.099% var(--g),59.369% 0.886% var(--g),65.451% 2.447% var(--g),71.289% 4.759% var(--g),76.791% 7.784% var(--g),81.871% 11.474% var(--g),86.448% 15.773% var(--g),90.451% 20.611% var(--g),93.815% 25.912% var(--g),96.489% 31.594% var(--g),98.429% 37.566% var(--g),99.606% 43.733% var(--g),radial-gradient(100% 100%,#000 46.953%,#0000 calc(46.953% + 1px));
}


#bio {
    margin: 20px;
    padding: .2em;
    background: var(--bg-color);
    border: 4px double var(--bg-color2);
    border-radius: 2em;
/*made the text slightly smaller again here since periwinkle's bio was a little lengthy*/
    font-size: small;
}
#bio p { margin: 1em; }

#content {
    display: flex;
    max-width: 1240px;
    margin: auto;
}




main {
    padding: 1em;
}

/*this is the top post on the blog. you can treat it like a pinned post if you want!*/
#top {
    background-color: var(--bg-color);
    border-color:white;
}

/*this bit gives it a white background*/
#top section {
    background-color: var(--bg-color2);
    border-radius: .5em;
    margin-bottom: 10px;
    padding: .2em 1em;
    width: fit-content;
 
}



/*these are the regular blog post styles!*/
article {
    background-color: var(--bg-color2);
    padding: 1em;
    border: 2px solid var(--border-color);
    border-radius: .3em;
    margin-bottom: 1em;
    box-shadow: var(--post-shadow-color) 5px 5px;
}
article img {
/*make sure large images get resized to fit in the post*/
    max-width: 100%;
}

/*you should always use this line if you have details/summary blocks cuz it makes it more obviously clickable*/
details > summary {cursor:pointer;}

.readmore summary {
    font-weight: bold;
    color: var(--border-color);
    list-style: none;
}
.readmore summary::-webkit-details-marker {
  display: none;
}
.readmore[open] > summary {
    border-bottom: 2px dashed var(--bg-color);
    padding-bottom: .6em;
    margin-bottom: .6em;
}

/*this is the top line for each post, with the name on the left and date/time on the right*/
/*you can put a post title instead of a name/handle, i just set it up that way as an example haha*/
.post-header {
    color: var(--border-color);
    font-weight: bold;
    padding: .5rem 0;
    border-bottom: 4px double var(--outline-color);
}
.timestamp {
    font-weight: normal;
    font-size: smaller;
    margin: .2em;
/*this keeps it to the right edge*/
    float: right;
}

/*these set up tumblr-style photoset grids*/
.photosetx2,
.photosetx3 {
    display: grid;
    gap: 4px;
    align-items: center;
}
.photosetx2 {grid-template-columns: 1fr 1fr;}
.photosetx3 {grid-template-columns: 1fr 1fr 1fr;}
/*adjust this to your liking! it crops images that are too tall*/
.cropped {
    width: 156px;
    height: 156px;
    overflow: hidden;
    object-position: 25% 25%;
}
/*this makes sure the image doesn't get distorted when cropped*/
.photosetx2 img,
.photosetx3 img {object-fit: cover;}

/* a class for centering text and images */
.center { text-align: center; }
.img-right { float: right; }

/*this stops the float image from overflowing out of its container*/
.clearfix::after {
  content: "";
  clear: both;
  display: table;
}
/*you can use the <small> tag in html, or make a class like this. up to you!*/
.small-text {
    font-size: 11px;
/*i gave it a shadow cuz i think it looks nice... yayyy*/
    text-shadow: var(--bg-color) 1px 1px;
}

footer {
    text-align: center;
    border-top:4px dotted white;
    font-size: small;
    margin: auto;
    padding: .5em;
    background-image: --site-bg;
    padding-bottom:90px;
    padding-top: 20px;
}

/* these are the mobile styles! */
@media only screen and (max-width: 800px) {
    #content {
        flex-wrap: wrap;
    }
    #sidebar {
        margin: 0;
        width: 100%;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        border: none;
        border-radius: 0;
    }
    header {min-height: 160px;}
    header > h1 { 
        width: fit-content;
        padding: .3em 1em;
        font-size: 48px;
    }
    
    nav {
      gap: 0;
    }
    
    nav a {
    font-size: 12px;
    top: 0;
    }
    
    #bio {width: 50%;}
    
    
    #chat {
      width: 100%;
    }
    
    #sidebar ul {
        line-height: 2em;
        display: flex;
        flex-wrap: wrap;
        gap: 1em;

    }
    #sidebar li {
        margin: .3em 1em;
    }
}